--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Registers new timeout period.
full_name: HTTPClient::TimeoutScheduler#register
is_singleton: false
name: register
params: (thread, sec, ex)
visibility: public
